Bug 194342 - [RFE] umount refuses to unmount filesystems mounted via --rbind
Summary: [RFE] umount refuses to unmount filesystems mounted via --rbind
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-07 13:23 UTC by Jindrich Novy
Modified: 2013-07-02 23:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 15:59:24 UTC


Attachments (Terms of Use)

Description Jindrich Novy 2006-06-07 13:23:34 UTC
Version-Release number of selected component (if applicable):
util-linux-2.13-0.20.1

How reproducible:
Always

Steps to Reproduce:
1. mkdir /tmp/dev
2. mount --rbind /dev /tmp/dev
3. umount /tmp/dev
  
Actual results:
umount: /tmp/dev: device is busy
umount: /tmp/dev: device is busy

Expected results:

Comment 1 Karel Zak 2006-07-11 10:00:15 UTC
The --rbind option works recursive, it means you have to umount recursive too.
The problem is that we don't have a way how umount recursive by one command.
Something like "umount --recursive". It's feature request...

Workaround:

 # mount | awk '{print $3}' | grep ^/dev | sed -e s,/dev,/tmp/dev, | xargs umount
 # umount /tmp/dev


Comment 2 Bug Zapper 2008-04-04 03:03:45 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2008-05-06 15:59:22 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Bernie Innocenti 2010-11-11 17:54:51 UTC
Better workaround:

 cat /proc/mounts | awk '{print $2}' | grep "^$MOUNTPOINT" | sort -r | xargs umount

Reverse sorting ensures that we do nested mountpoints before their parents


Note You need to log in before you can comment on or make changes to this bug.